com.google.appengine.api.datastore

## Enum Query.SortDirection

- java.lang.Object
- - java.lang.Enum<Query.SortDirection>
  - - com.google.appengine.api.datastore.Query.SortDirection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Query.SortDirection>
  Enclosing class:
    Query

      public static enum Query.SortDirection
      extends java.lang.Enum<Query.SortDirection>

  SortDirection controls the order of a sort.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCENDING`
    `DESCENDING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Query.SortDirection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Query.SortDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASCENDING

          public static final Query.SortDirection ASCENDING

    - #### DESCENDING

          public static final Query.SortDirection DESCENDING

  - ### Method Detail

    - #### values

          public static Query.SortDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Query.SortDirection c : Query.SortDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Query.SortDirection valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null